## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           ptex
Version:        2.4.2
Release:        %autorelease
Summary:        Per-Face Texture Mapping for Production Rendering

License:        BSD
Url:            https://github.com/wdas/%{name}
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  graphviz-devel
BuildRequires:  pkgconfig(zlib)

%description
Ptex is a texture mapping system developed by 
Walt Disney Animation Studios for production-quality rendering.

%package devel
Summary: Development files for the Ptex library
Requires:       %{name} = %{version}

%description devel
Development files for Walt Disney Animation Studios Ptex library.

%package doc
Summary: Documentation files for the Ptex library
BuildArch:      noarch

%description doc
Documentation files for Walt Disney Animation Studios Ptex library.

%package libs
Summary:        Libraries for Ptex

%description libs
This package contains the library needed to run programs dynamically
linked with Ptex.

%prep
%autosetup -n %{name}-%{version}


%build
%global _lto_cflags %{_lto_cflags} -ffat-lto-objects

# Detect package version
echo %{version} > version
%cmake \
        -DPTEX_BUILD_STATIC_LIBS=OFF 
%cmake_build


%install
%cmake_install

# Create a pkgconfig file
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cat > %{buildroot}%{_libdir}/pkgconfig/Ptex.pc << EOF
# pkg-config configuration for Ptex
prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: Ptex
Description: Per-Face Texture Mapping for Production Rendering
Version: 2.4.0
Libs: -L${libdir} -llibPtex -pthread -lpthread
Libs.private: -lz
Cflags: -I${includedir} -pthread
EOF


%files
%doc src/doc/README 
%license LICENSE        
%{_bindir}/ptxinfo
%dir %{_datadir}/cmake/Ptex
%{_datadir}/cmake/Ptex/%{name}*.cmake

%files libs
%{_libdir}/libPtex.so.2.4

%files doc
%dir %{_datadir}/doc/Ptex
%doc %{_datadir}/doc/Ptex/*

%files devel
%{_includedir}/Ptex*.h
%{_libdir}/pkgconfig/Ptex.pc
%{_libdir}/libPtex.so

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Aug 07 2022 Luya Tshimbalanga <luya@fedoraproject.org> - 2.4.2-1
- Update to 2.4.2 (#2116015)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat May 28 2022 Luya Tshimbalanga <luya@fedoraproject.org> - 2.4.1-1
- Update to 2.4.1 (#1989906)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 19 2021 Luya Tshimbalanga <luya@fedoraproject.org> - 2.4.0-2
- Update to 2.4.0 (#1961968) Drop so versioning downstream patch

* Wed May 19 2021 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 2.4.0-1
- Update to 2.4.0 (#1961968)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Nov 10 2020 Luya Tshimbalanga <luya@fedoraproject.org> - 2.3.2-1
- Patch for .so versioning Clean cmake option
## END: Generated by rpmautospec
